diff mbox series

[RFC,7/9] fit_spl_atf.sh: produce working binaries by default

Message ID 20200318095757.9365-8-ynezz@true.cz
State Superseded
Delegated to: Tom Rini
Headers show
Series produce working binaries by default | expand

Commit Message

Petr Štetiar March 18, 2020, 9:57 a.m. UTC
At this moment unusable binaries are produced if either bl31.bin or
rk3399m0.bin files are missing in order to allow passing of various CI
tests. This intention of broken binaries has to be now explicitly
confirmed via new BUILDBOT_BROKEN_BINARIES config option, so usable
binaries are produced by default from now on.

Signed-off-by: Petr Štetiar <ynezz@true.cz>
---
 .../puma_rk3399/fit_spl_atf.sh                | 20 +++++++++++++------
 1 file changed, 14 insertions(+), 6 deletions(-)
diff mbox series

Patch

diff --git a/board/theobroma-systems/puma_rk3399/fit_spl_atf.sh b/board/theobroma-systems/puma_rk3399/fit_spl_atf.sh
index 420e7daf4ceb..b53cd5f3de30 100755
--- a/board/theobroma-systems/puma_rk3399/fit_spl_atf.sh
+++ b/board/theobroma-systems/puma_rk3399/fit_spl_atf.sh
@@ -14,17 +14,25 @@ 
 [ -z "$BL31" ] && BL31="bl31.bin"
 
 if [ ! -f $BL31 ]; then
-	echo "WARNING: BL31 file $BL31 NOT found, resulting binary is non-functional" >&2
-	echo "Please read Building section in doc/README.rockchip" >&2
-	BL31=/dev/null
+	if [ "$BUILDBOT_BROKEN_BINARIES" = "y" ]; then
+		BL31=/dev/null
+	else
+		echo "ERROR: BL31 file $BL31 NOT found, resulting binary is non-functional" >&2
+		echo "Please read Building section in doc/README.rockchip" >&2
+		exit 1
+	fi
 fi
 
 [ -z "$PMUM0" ] && PMUM0="rk3399m0.bin"
 
 if [ ! -f $PMUM0 ]; then
-	echo "WARNING: PMUM0 file $PMUM0 NOT found, resulting binary is non-functional" >&2
-	echo "Please read Building section in doc/README.rockchip" >&2
-	PMUM0=/dev/null
+	if [ "$BUILDBOT_BROKEN_BINARIES" = "y" ]; then
+		PMUM0=/dev/null
+	else
+		echo "ERROR: PMUM0 file $PMUM0 NOT found, resulting binary is non-functional" >&2
+		echo "Please read Building section in doc/README.rockchip" >&2
+		exit 1
+	fi
 fi
 
 cat << __HEADER_EOF